<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: playerDismissed.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: playerDismissed.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * This moudule accepts matches and deliveries data to return an object with highest number of times one player has been dismissed by another player
 * @module playerDismissed
 */

/**
 *
 * @param {Array.&lt;Object>} matchesData parsed JSON data of matches.
 * @param {Array.&lt;Object>} deliveriesData parsed JSON data of deliveries.
 * @returns {Object} an object with highest number of times one player has been dismissed by another player
 */

const playerDismissed = (deliveriesData, dismissedPlayer = "V Kohli") => {
  if (!Array.isArray(deliveriesData)) return {};

  const result = deliveriesData
    .filter((delivery) => delivery["player_dismissed"] === dismissedPlayer)
    .reduce((acc, delivery) => {
      if (acc[delivery.bowler] === undefined) {
        acc[delivery.bowler] = 0;
      }

      acc[delivery.bowler] += 1;

      return acc;
    }, {});

  const dismissedBy = Object.entries(result)
    .sort((a, b) => a[1] - b[1])
    .pop();

  return {
    dismissedPlayer,
    dismissedBy: dismissedBy[0],
    times: dismissedBy[1],
  };
};

module.exports = playerDismissed;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">IPL Project</a></h2><h3>Modules</h3><ul><li><a href="module-bestSuperoverEconomy.html">bestSuperoverEconomy</a></li><li><a href="module-calcEconomy.html">calcEconomy</a></li><li><a href="module-config.html">config</a></li><li><a href="module-economicalBowlers.html">economicalBowlers</a></li><li><a href="module-extraRunsPerTeam.html">extraRunsPerTeam</a></li><li><a href="module-matchesInGivenYear.html">matchesInGivenYear</a></li><li><a href="module-matchesPerYear.html">matchesPerYear</a></li><li><a href="module-matchesWonPerTeam.html">matchesWonPerTeam</a></li><li><a href="module-matchesWonWithToss.html">matchesWonWithToss</a></li><li><a href="module-playerDismissed.html">playerDismissed</a></li><li><a href="module-playerOfTheMatch.html">playerOfTheMatch</a></li><li><a href="module-saveOutput.html">saveOutput</a></li><li><a href="module-strikeRate.html">strikeRate</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed May 26 2021 15:19:05 GMT+0530 (India Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
